## libudev0-shim 1

=== debian/changelog ===
libudev0-shim (1-3) unstable; urgency=medium

  * Limit to Linux architectures, as libudev is not available on BSD and
    Hurd

 -- Simon Richter <sjr@debian.org>  Tue, 27 Oct 2020 23:46:48 +0100

libudev0-shim (1-2) unstable; urgency=medium

  * Fix missing build dependency (Closes: #972957)

 -- Simon Richter <sjr@debian.org>  Tue, 27 Oct 2020 22:32:59 +0100

libudev0-shim (1-1) unstable; urgency=medium

  * Initial release

 -- Simon Richter <sjr@debian.org>  Sat, 10 Oct 2020 15:38:35 +0200

## libudev0-shim 200

=== Makefile ===
CFLAGS := -Wall -Wextra -g -fvisibility=hidden -shared -fPIC $(CFLAGS)
LDFLAGS := -Wl,-soname,libudev.so.0 -Wl,-z,now $(LDFLAGS)
LDLIBS := -ludev

default: all

all: \
	libudev.so.0.0.9999

libudev.so.0.0.9999: libudev0.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(LDLIBS) $^ -o $@

clean:
	$(RM) libudev.so.0.0.9999

=== debian/changelog ===
libudev0-shim (200-1) unstable; urgency=medium

  * Bump version to facilitate upgrades (Closes: #991605)

 -- Simon Richter <sjr@debian.org>  Wed, 28 Jul 2021 16:56:09 +0200

=== debian/control ===
Source: libudev0-shim
Priority: optional
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends: debhelper-compat (= 13), libudev-dev
Standards-Version: 4.5.0
Section: oldlibs
Homepage: https://github.com/archlinux/libudev0-shim
Rules-Requires-Root: no

Package: libudev0
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compatibility wrapper for libudev version 0
 This is a small wrapper library that provides an older version of the
 libudev interface.
 .
 You only need this package if you use non-free software that cannot be
 recompiled against the new interface.
 .
 Needed for:
  * Altera/Intel QuartusII (programming with Altera USB Blaster)
